.service-quicklink {
  width: 90%;
  margin-bottom: 100px;

  @media screen and (max-width: 1024px) {
    & {
      width: 95%;
      padding: 20px;
    }
  }

}

.quicklink-title {
  padding: 31px 0px 0px;

  .cmp-title__text {
    font-size: 40px;
    font-weight: bold;
    font-stretch: normal;
    font-style: normal;
    line-height: 1.15;
    letter-spacing: normal;
    text-align: center;
    color: #000;
    margin-top: 35px;
  }
}

.container.responsivegrid.quicklink-slide {
  position: relative;
  // padding: 0 30px;
  margin-bottom: 40px;

  @media screen and (max-width: 991px) {
    padding: 0;
  }

  .cmp-container {
    display: flex;
    padding-top: 28px;

    &.slick-initialized {
      .slick-slide {
        height: inherit !important;
      }

      .slick-list {
        padding: 0 10px; // Note: !important used to override other css file.
        width: 100%;
        margin: 0 auto;

        @media screen and (max-width: 991px) {
          // padding: 0 20% 0 0 !important;
          width: 75%;
          margin: 0 auto;
        }

        @media screen and (max-width: 480px) {
          width: 95%;
        }

        .slick-track {
          margin: 0 auto;
          display: flex !important;

          @media screen and (max-width: 1400px) {
            margin: inherit;
            display: flex !important;
          }
        }
      }

      .slick-prev {
        position: absolute;
        left: -30px;
        top: 48%;
        font-size: 0;
        border-radius: 50px;
        width: 42px;
        height: 42px;
        z-index: 1;
        border: solid 1px #e90000;
        background-color: #fff;

        @media screen and (max-width: 1100px) {
          // left: 10px;
          top: 30%;
        }

        @media screen and (max-width: 1023px) {
          // left: 40px;
          top: 50%;
        }

        @media screen and (max-width: 992px) {
          left: -18px;;
        }

        @media screen and (max-width: 991px) {
          left: 2px;
        }

        @media screen and (max-width: 480px) {
          height: 30px;
          width: 30px;
          left: -10px;
        }

        &:after {
          content: "\f104";
          z-index: 2;
          font-family: 'Font Awesome 6 Free';
          font-weight: 900;
          font-size: 20px;
          color: #e90000;
          margin: 4px 0 0 0;

          @media screen and (max-width: 480px) {
            font-size: 16px;
          }
        }
      }

      .slick-next {
        position: absolute;
        right: -30px;
        top: 48%;
        font-size: 0;
        border-radius: 50px;
        width: 42px;
        height: 42px;
        z-index: 1;
        border: solid 1px #e90000;
        background-color: #fff;

        @media screen and (max-width: 1100px) {
          // right: 10px;
          top: 30%;
        }

        @media screen and (max-width: 1023px) {
          // right: 40px;
          top: 50%;
        }

        @media screen and (max-width: 992px) {
         right: -18px
        }

        @media screen and (max-width: 991px) {
          right: 2px;
        }

        @media screen and (max-width: 480px) {
          width: 30px;
          height: 30px;
          right: -10px;
        }

        &:after {
          content: "\f105";
          z-index: 2;
          font-family: 'Font Awesome 6 Free';
          font-weight: 900;
          font-size: 20px;
          color: #e90000;
          margin: 4px 0 0 0;

          @media screen and (max-width: 480px) {
            font-size: 16px;
          }
        }
      }
    }

    .quicklink-teaser {
      // width: 100%;
      // margin: 0 auto;
      overflow: hidden;
      // padding: 1px 57px;
      margin: 0 12px;
      box-shadow: 0 2px 6px 0 rgb(0 0 0 / 8%);
      border: solid 1px #f0f0f0;
        border-top-left-radius: 10px;
        border-top-right-radius: 10px;
        border-bottom-left-radius: 10px;
        border-bottom-right-radius: 10px;


      // @media screen and (max-width: 1024px) {
      //   // width: 100%;
      //   // padding-left: 20px;
      // }

      @media screen and (max-width: 991px) {
        margin: 0 40px;
      }
      @media screen and (max-width: 768px) {
        margin: 0 14px;
      }

      .cmp-teaser {
        // width: 93%;
        // max-width: 500px;
        // position: relative;
        // height: 322px;
        height: 100%;
        // box-shadow: 0 2px 6px 0 rgba(0, 0, 0, 0.08);
        
        // margin-bottom: 40px;

        // @media screen and (max-width: 991px) {
        //   max-width: 310px;
        // }

        // @media screen and (max-width: 320px) {
        //   max-width: 250px;
        // }

        img {
          object-fit: cover;
          aspect-ratio: 299/199;
          object-position: top;
          border-top-left-radius: 10px;
          border-top-right-radius: 10px;

          @media screen and (max-width: 991px) {
            padding: 0px;
          }
        }

        .cmp-teaser__content {
          padding: 14px;
          width: 100%;
          margin: auto;
          text-align: left;
          // padding-bottom: 40px;
          min-height: 150px;
          display: flex;
          flex-direction: column;
          justify-content: space-between;

          @media screen and (max-width: 991px) {
            padding: 24px 25px;
            bottom: 5px;
          }

          .cmp-teaser__pretitle {
            margin: 0;
            line-height: 1.2;
            font-weight: 600;
            text-transform: capitalize;
            font-size: 17px;

            text-align: left;

            @media screen and (max-width: 991px) {
              font-size: 18px;
            }

          }

          .cmp-teaser__action-container {
            // position: absolute;
            bottom: 15px;
            display: flex;
            flex-direction: column-reverse;
            width: 100%;

            a {
              color: #e90000;
              font-stretch: normal;
              font-style: normal;
              line-height: 1.78;
              letter-spacing: normal;
              font-size: 13px;
              text-transform: capitalize;
              font-weight: 600;
              // width: 80%;
              word-break: break-word;
              margin-top: 18px;

              &:after {
                content: '\f061';
                font-family: 'Font Awesome 6 Free';
                font-weight: 900;
                font-size: .75em;
                margin: 0 0 0 8px;
                transition: all 0.5s ease-in-out 0s;
              }
              &:hover::after{
               margin-left: 14px; 
              }
            }

            :nth-child(2) {
              // position: absolute;
              line-height: 1.2;
              color: #000;
              font-size: 14px;
              font-weight: 500;
              margin-top: 0px;

              @media screen and (max-width: 991px) {
                font-size: 13px;
              }
              &::after {
               content: "";
              }
            }
          }
        }
      }
    }
  }
}